<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: button.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: button.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
* Erzeugt einen neuen Zurück-Button
* @class
*/
function ZurueckBtn(){
    
    this.zButton = new createjs.Container();
    
    this.zurueckBtn = new createjs.Shape();
    this.zurueckBtn.graphics.beginStroke(black).beginFill(darkgrey).drawRoundRect(0, 0, zurueckBtnWidth, zurueckBtnHeight, 4);
    this.zButton.addChild(this.zurueckBtn);
    
    this.label = new createjs.Text("zurück", smallFont, black);
    this.label.name = "label";
    this.label.textAlign = "center";
    this.label.textBaseline = "middle";
    this.label.x = zurueckBtnWidth/2;
    this.label.y = zurueckBtnHeight/2;
    this.zButton.addChild(this.label)
    
    this.zButton.name = "zurueckBtn";
    this.zButton.x = 1 / scale; 
    this.zButton.y = 1 / scale; 
}


/**
* Erzeugt einen neuen Verschlüsseln-Button
* @class
*/
function EncrypBtn(){
    
    this.encrypBtnContainer = new createjs.Container();
    
    this.encryBtn = new createjs.Shape();
    this.encryBtn.graphics.beginStroke(black).beginFill(darkgrey).drawRoundRect(0, 0, crypBtnWidth, crypBtnHeight, 4);
    this.encrypBtnContainer.addChild(this.encryBtn);
    
    this.labelVer = new createjs.Text("Verschlüsseln", smallFont, black);
    this.labelVer.textAlign = "center";
    this.labelVer.textBaseline = "middle";
    this.labelVer.x = crypBtnWidth/2;
    this.labelVer.y = crypBtnHeight/2;
    this.encrypBtnContainer.addChild(this.labelVer);
    
    
    this.encrypBtnContainer.name = "verBtn";
    this.encrypBtnContainer.x = (canvas.width/4 - crypBtnWidth/2) / scale;;
    this.encrypBtnContainer.y = (canvas.height/(1.1)) / scale;
}

/**
* Erzeugt einen neuen Entschlüsseln-Button
* @class
*/
function DecrypBtn(){
    
    this.decrypBtnContainer = new createjs.Container();
    
    this.decrypBtn = new createjs.Shape();
    this.decrypBtn.graphics.beginStroke(black).beginFill(darkgrey).drawRoundRect(0, 0, crypBtnWidth, crypBtnHeight, 4);
    this.decrypBtnContainer.addChild(this.decrypBtn);
    
    this.labelEnt = new createjs.Text("Entschlüsseln", smallFont, black);
    this.labelEnt.textAlign = "center";
    this.labelEnt.textBaseline = "middle";
    this.labelEnt.x = crypBtnWidth/2;
    this.labelEnt.y = crypBtnHeight/2;
    this.decrypBtnContainer.addChild(this.labelEnt);
    
   
    this.decrypBtnContainer.name = "entBtn"
    this.decrypBtnContainer.x = (canvas.width/4 + crypBtnWidth/2 + offset) / scale;
    this.decrypBtnContainer.y = (canvas.height/(1.1)) / scale;
}

/**
* Erzeugt einen neuen Weiter-Button
* @class
*/
function WeiterBtn(){
    
    this.weiterContainer = new createjs.Container();
    
    this.weiterBtn = new createjs.Shape();
    this.weiterBtn.graphics.beginStroke(black).beginFill(darkgrey).drawRoundRect(0, 0, zurueckBtnWidth, zurueckBtnHeight, 4);
    this.weiterContainer.addChild(this.weiterBtn);
    
    this.weiterLabel = new createjs.Text("weiter", smallFont, black);
    this.weiterLabel.textAlign = "center";
    this.weiterLabel.textBaseline = "middle";
    this.weiterLabel.x = zurueckBtnWidth/2;
    this.weiterLabel.y = zurueckBtnHeight/2;
    this.weiterContainer.addChild(this.weiterLabel);
    
    
    this.weiterContainer.name = "weiterBtn";
    this.weiterContainer.x = 0;
    this.weiterContainer.y = 0;
}

/**
* Erzeugt einen neuen Button zum tauschen von Klar- und Geheimtext
* @class
*/
function SwitchButton(){
    this.switchBtn = new createjs.Shape();
    this.switchBtn.graphics.beginStroke(black).beginFill(darkgrey).drawRoundRect(0, 0, switchBtnWidth, switchBtnHeight, 4);
    this.switchBtn.x = (canvas.width/(1.3) + switchBtnWidth) / scale;
    this.switchBtn.y = (canvas.height/(1.3) - switchBtnHeight/2) / scale;
    
    this.arrowUp = new createjs.Bitmap("images/arrow-up.png");
    this.arrowUp.x = this.switchBtn.x + offset/8;
    this.arrowUp.y = this.switchBtn.y + offset/8;
    this.arrowUp.scaleX = scale;
    this.arrowUp.scaleY = scale;
    
    this.arrowDown = new createjs.Bitmap("images/arrow-down.png");
    this.arrowDown.x = this.switchBtn.x + offset * (1.2);
    this.arrowDown.y = this.switchBtn.y + offset/4;
    this.arrowDown.scaleX = scale;
    this.arrowDown.scaleY = scale;
    
    this.switchContainer = new createjs.Container();
    this.switchContainer.name = "tauschBtn";
    this.switchContainer.x = 0;
    this.switchContainer.y = 0;
    this.switchContainer.addChild(this.switchBtn, this.arrowUp, this.arrowDown);
}

/**
* Erzeugt einen neuen Button zum prüfen des Schlüssels beim One-Time-Pad-Verfahren
* @class
*/
function PruefButton(){
    
    this.pruefButton = new createjs.Container();
    
    this.pruefShape = new createjs.Shape();
    this.pruefShape.graphics.beginStroke(black).beginFill(darkgrey).drawRoundRect(0, 0, switchBtnWidth + offset/2, zurueckBtnHeight, 4);
    this.pruefButton.addChild(this.pruefShape);
    
    this.pruefLabel = new createjs.Text("Schlüssel \n \n prüfen", tinyFont, black);
    var bound = this.pruefLabel.getBounds();
    this.pruefLabel.textAlign = "center";
    this.pruefLabel.textBaseline = "middle";
    this.pruefLabel.x = switchBtnWidth/2 + bound.width/8;
    this.pruefLabel.y = zurueckBtnHeight/2 - bound.height/3;
    this.pruefButton.addChild(this.pruefLabel);
    
    this.pruefButton.name = "prüfen";
    this.pruefButton.x = (canvas.width/(1.3) + switchBtnWidth) / scale;
    this.pruefButton.y = (canvas.height/(1.2) - zurueckBtnHeight/2) / scale;
}</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="App.module_oneTimePadModule.html">oneTimePadModule</a></li></ul><h3>Classes</h3><ul><li><a href="DecrypBtn.html">DecrypBtn</a></li><li><a href="EncrypBtn.html">EncrypBtn</a></li><li><a href="PruefButton.html">PruefButton</a></li><li><a href="SwitchButton.html">SwitchButton</a></li><li><a href="VigenereShape.html">VigenereShape</a></li><li><a href="WeiterBtn.html">WeiterBtn</a></li><li><a href="ZurueckBtn.html">ZurueckBtn</a></li></ul><h3>Namespaces</h3><ul><li><a href="App.html">App</a></li></ul><h3>Global</h3><ul><li><a href="global.html#animateContainer">animateContainer</a></li><li><a href="global.html#bg">bg</a></li><li><a href="global.html#canvas">canvas</a></li><li><a href="global.html#checkKey">checkKey</a></li><li><a href="global.html#checkLetters">checkLetters</a></li><li><a href="global.html#clickCounter">clickCounter</a></li><li><a href="global.html#keyX">keyX</a></li><li><a href="global.html#keyY">keyY</a></li><li><a href="global.html#mainMenue">mainMenue</a></li><li><a href="global.html#oneTimeKeys">oneTimeKeys</a></li><li><a href="global.html#oneTimePad">oneTimePad</a></li><li><a href="global.html#onResize">onResize</a></li><li><a href="global.html#removeContainer">removeContainer</a></li><li><a href="global.html#scale">scale</a></li><li><a href="global.html#setup">setup</a></li><li><a href="global.html#squareChars">squareChars</a></li><li><a href="global.html#textX">textX</a></li><li><a href="global.html#textY">textY</a></li><li><a href="global.html#tick">tick</a></li><li><a href="global.html#timer">timer</a></li><li><a href="global.html#weiterBtn">weiterBtn</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Sun Feb 25 2018 19:17:44 GMT+0100 (Mitteleuropäische Zeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
